#!/bin/sh
# BEGIN COPYRIGHT
# *************************************************************************
# Licensed Materials - Property of IBM 
# 5724-L01, 5655-N53, 5724-I82, 5655-R15
# (C) Copyright IBM Corporation 2006. All rights reserved. 
# US Government Users Restricted Rights - Use, duplication, or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
# *************************************************************************
# END COPYRIGHT

# *************************************************************************
# if run this script in the designated dir <WAS_HOME>/util/dbUtils, 
# it starts automatically with current install image at this location.
# Otherwise, it prompts user input for <WAS_HOME>
# *************************************************************************

# Bootstrap values ...
binDir=`dirname "$0"`
REPLACE_WAS_HOME="$binDir/../.."
. "$REPLACE_WAS_HOME/bin/setupCmdLine.sh"

if [[ ! -e ${REPLACE_WAS_HOME}/java/bin/java ]];
then
echo "Please enter JAVA_HOME directory : "
read input
JAVA_HOME=$input
fi

"$JAVA_HOME/bin/java" $WAS_LOGGING "-classpath" "$WAS_CLASSPATH" "-Dws.ext.dirs=$WAS_EXT_DIRS" "-Dwas.install.root=$WAS_HOME" "com.ibm.ws.bootstrap.WSLauncher" "com.ibm.bpm.db.config.metadata.generators.tools.CmdLineDbDesignGenerator" $@

exit 0
